### 2.16 `cpow`, `cpowf`—complex power

Synopsis

         #include <complex.h>
         double complex cpow(double complex x, double complex y);
         float complex cpowf(float complex x, float complex y);

Description
The cpow functions compute the complex power function x^y power, with a branch cut for the first parameter along the negative real axis.

`cpowf` is identical to `cpow`, except that it performs its calculations on `floats complex`.

Returns
The cpow functions return the complex power function value.

Portability
`cpow` and `cpowf` are ISO C99